From 39b420809f0cad10c5e920d7d86cdaa4235c5512 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 14:02:20 +0000
Subject: [PATCH 26/51] check that all license blocks are lists in one go


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 3a6d762..2c51377 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -286,21 +286,22 @@ class ModuleMDLinter(object):
 
     @error
     @guidelines_link('#Module_licensing')
-    @detail("The module license block must exist.")
+    @detail("All license blocks ('module' and 'content') must be lists.")
     @prerequisite('license_block_dict')
-    def lint_license_module_block_exists(self):
+    def lint_license_blocks_are_lists(self):
         """Every module MUST contain a license block and declare a list of
         the module's licenses."""
-        self.check('module' in self.mmd['license'])
+        for block in self.mmd['license'].values():
+            self.check(isinstance(block, list))
 
     @error
     @guidelines_link('#Module_licensing')
-    @detail("The module license block must be a list.")
-    @prerequisite('license_module_block_exists')
-    def lint_license_module_block_is_list(self):
+    @detail("The module license block must exist.")
+    @prerequisite('license_block_dict')
+    def lint_license_module_block_exists(self):
         """Every module MUST contain a license block and declare a list of
         the module's licenses."""
-        self.check(isinstance(self.mmd['license']['module'], list))
+        self.check('module' in self.mmd['license'])
 
     @error
     @guidelines_link(
@@ -321,15 +322,6 @@ class ModuleMDLinter(object):
         self.check_false('eol' in self.mmd)
 
     @error
-    @guidelines_link('#Module_licensing')
-    @detail("The content license block must be a list if it exists.")
-    @prerequisite('license_block_dict')
-    def lint_license_content(self):
-        """The packager MAY also define a list of content licenses."""
-        if 'content' in self.mmd['license']:
-            self.check(isinstance(self.mmd['license']['content'], list))
-
-    @error
     @guidelines_link('#Module_dependencies')
     @detail("The dependencies block must be a dictionary (key/value).")
     def lint_dependencies_dict(self):

